libbde (libYAL BitLocker library)

Library and tools to access the BitLocker Drive Encryption (BDE) format. 
The BDE format is used by Windows, as of Vista, to encrypt data on a storage 
media volume.

Supported BDE formats:

    -BitLocker Windows Vista
    -BitLocker Windows 7
    -BitLocker Windows 8 (Consumer Preview)
    -BitLocker To Go 

Supported protection methods:

    -clear key
    -password
    -recovery password
    -start-up key
    -FKEV and/or TWEAK key data 

Additional features:

    -support for partial encrypted volumes
    -zeros out the BDE metadata, matches behavior seen on Windows 
